%kmdl ipw3945

Summary: Intel® PRO/Wireless 3945ABG/3945BG driver for Linux
Name: ipw3945
Version: 1.2.0
Release: 18.4.0.1%{?dist}
License: GPL2/BSD
Group: System Environment/Kernel
URL: http://ipw3945.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ipw3945/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ieee80211-devel >= 1.1.11
%kmdl_parentdependencies

%description
The Intel® PRO/Wireless 3945ABG Network Connection driver for Linux is
a unified driver that works on both hardware adapters listed above.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for the Intel® PRO/Wireless 3945.
Group: System Environment/Kernel
Requires: ipw3945-ucode >= 1.13, ipw3945d >= 1.7.18
Requires: %{kmdl_nameof ieee80211} >= 1.1.11

%description -n %kmdl_name
This package contains kernel drivers for the Intel® PRO/Wireless 3945.

%kmdl_desc

%prep
%setup -q
grep -rl '<net/ieee80211.h>' . | xargs perl -pi -e's,<net/ieee80211.h>,"net/ieee80211.h",'
perl -pi -e's,/sbin/depmod,:,g' Makefile
grep -rl '#include <linux/config.h>' . | xargs perl -pi -e's,#include <linux/config.h>,/* #include <linux/config.h> */,'

%build

%if %{kmdl_userland}
%else

%kmdl_config
make KSRC=%{kmdl_kernelsrcdir} IEEE80211_INC=%{_includedir}/ieee80211 CC="gcc -I%{_includedir}/ieee80211"

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/wireless
make KSRC=%{kmdl_kernelsrcdir} IEEE80211_INC=%{_includedir}/ieee80211 CC="gcc -I%{_includedir}/ieee80211" \
  KMISC=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless install

if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/net/wireless
fi

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README* LICENSE* ISSUES CHANGES

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif


%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.0-18.4.0.1
- Fix not utf-8 specfile entries.

* Fri Jan  5 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.0-18
- Update to 1.2.0.

* Sat Dec  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.3-17
- Update to 1.1.3.

* Thu Nov  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.2-16
- Update to 1.1.2.

* Sat Sep  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.0-13
- Update to 1.1.0.

* Wed Jun 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.0-pre2.

* Wed Jun 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.12.

* Sun Jun 18 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.10.

* Wed May 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.5.

* Tue May  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.2.

* Sat Apr 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Tue Apr 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.74.

* Wed Mar 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.73.

* Mon Mar 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.71.

* Sat Mar 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


